/* 定义主题颜色 */
:root {
    --primary-color: #1a5cb6;
    --primary-cancel-color: #c8c8c8;
    --primary-bgc_color: #e9f0fffa;
}

ul li {
    margin: 0;
    padding: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: #000;
    font-weight: bold;
}

h1 {
    font-size: 40px;
}

h2 {
    font-size: 28px;
}

h3 {
    font-size: 20px;
}

h4 {
    font-size: 16px;
}
.type_area {
    width: 1000px;
    margin: 0 auto;
}
main {
    float: none;
    width: auto;
    background-color: #f8f8f8;
    min-height: calc(100vh - 220px);
}

main::before {
    content: "";
    display: table;
    clear: both;
}

.blue,
.CSCD,
.BDHX {
    background: #d2e5fb;
    color: #4488dd;
    padding: 3px 7px;
    margin-right: 10px;
    border-radius: 2px;
    font-size: 12px;
    height: 20px;
}

.yellow,
.CSTPCD {
    background-color: #fdf6ec;
    border-color: #faecd8;
    color: #e6a23c;
    padding: 3px 7px;
    margin-right: 10px;
    border-radius: 2px;
    font-size: 12px;
    height: 20px;
}

.green,
.CHSSCD,
.CSSCI {
    background-color: #f0f9eb;
    border-color: #e1f3d8;
    color: #67c23a;
    padding: 3px 7px;
    margin-right: 10px;
    border-radius: 2px;
    font-size: 12px;
    height: 20px;
}

.ellipsis_btn {
    color: #417dc9;
    cursor: pointer;
}

.page_container {
    text-align: center;
    margin: 20px auto;
    vertical-align: middle;
}

.page_container ul li {
    display: inline-block;
    text-align: center;
    margin-right: 10px;
    border-bottom: none;
}

/* 面包屑 */
.navigation {
    border-bottom: 1px solid #ccc;
    margin-bottom: 10px;
    padding: 10px 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.navigation .tip_page {
    margin-right: 7px;
    font-size: 14px;
    text-align: center;
    color: #4488dd;
}
.navigation a {
    display: inline-block;
}

.navigation .text {
    padding: 12px 0;
    font-size: 14px;
    color: #4488dd;
}

/* 错误页面样式 */
.error_container {
    padding: 40px;
    text-align: center;
}

.error_container img {
    height: 300px;
}

.error_container .error_message {
    font-size: 26px;
    margin: 20px 0;
}

.error_container .error_tips {
    margin: 20px 0;
    font-size: 18px;
}

.error_container .btn_group a {
    display: inline-block;
    padding: 10px 20px;
    border: 0;
    color: #fff;
    border-radius: 5px;
    background-color: #095dad;
    margin: 0 20px;
}

/* 下拉框组件样式 */
.select_container {
    display: inline-block;
    position: relative;
}

.select_container .select_input {
    display: inline-block;
    padding: 10px 20px;
    background-color: #fff;
    cursor: pointer;
}

.select_container .select_input .fa {
    margin-left: 5px;
}

.select_container .select_list {
    display: none;
    position: absolute;
    background-color: #fff;
    width: 100%;
}

.select_container .select_list li {
    padding: 10px;
    cursor: pointer;
    text-align: center;
}

.select_container .select_list li:hover {
    background-color: #f1f1f1;
}

/* 分页器 */
.page_container {
    border: none;
    background-color: #fff;
}
.page_container a,
.page_container span {
    min-width: 28px;
    height: 28px;
    line-height: 28px;
    display: inline-block;
    text-align: center;
}
.page_container a {
    background-color: #fff;
    color: #000;
    border: 1px solid #dcdee0;
}
.page_container span {
    background-color: #fff;
    color: #000;
    border: 1px solid #dcdee0;
}
.page_container span.active {
    background-color: var(--primary-color);
    color: #fff;
    border: 1px solid var(--primary-color);
}
.page_container a,
.page_container span {
    margin: 0;
    margin-right: 10px;
}
.page_container .next,
.page_container .jump-btn,
.page_container .prev {
    width: auto;
    padding: 0 10px;
}
.page_container td {
    height: 108px;
}
.page_container .jump-ipt {
    width: 44px;
    height: 28px;
    margin-right: 10px;
    align-items: center;
    vertical-align: top;
}

/* loading */
.loading_container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.sk_chase {
    width: 80px;
    height: 80px;
    position: relative;
    animation: sk-chase 2.5s infinite linear both;
}

.sk_chase_dot {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    animation: sk_chase_dot 2s infinite ease-in-out both;
}

.sk_chase_dot:before {
    content: '';
    display: block;
    width: 25%;
    height: 25%;
    background-color: #2054bf;
    border-radius: 100%;
    animation: sk_chase_dot-before 2s infinite ease-in-out both;
}

.sk_chase_dot:nth-child(1) {
    animation-delay: -1.1s;
}
.sk_chase_dot:nth-child(2) {
    animation-delay: -1s;
}
.sk_chase_dot:nth-child(3) {
    animation-delay: -0.9s;
}
.sk_chase_dot:nth-child(4) {
    animation-delay: -0.8s;
}
.sk_chase_dot:nth-child(5) {
    animation-delay: -0.7s;
}
.sk_chase_dot:nth-child(6) {
    animation-delay: -0.6s;
}
.sk_chase_dot:nth-child(1):before {
    animation-delay: -1.1s;
}
.sk_chase_dot:nth-child(2):before {
    animation-delay: -1s;
}
.sk_chase_dot:nth-child(3):before {
    animation-delay: -0.9s;
}
.sk_chase_dot:nth-child(4):before {
    animation-delay: -0.8s;
}
.sk_chase_dot:nth-child(5):before {
    animation-delay: -0.7s;
}
.sk_chase_dot:nth-child(6):before {
    animation-delay: -0.6s;
}

@keyframes sk-chase {
    100% {
        transform: rotate(360deg);
    }
}

@keyframes sk_chase_dot {
    80%,
    100% {
        transform: rotate(360deg);
    }
}

@keyframes sk_chase_dot-before {
    50% {
        transform: scale(0.4);
    }
    100%,
    0% {
        transform: scale(1);
    }
}
